[arch-commits] Commit in meld/repos (3 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Wed Jul 2 16:23:13 EDT 2008


    Date: Wednesday, July 2, 2008 @ 16:23:12
  Author: andyrtr
Revision: 4049

Merged revisions 2-4048 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/meld/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fr, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r4041 | andyrtr | 2008-07-02 20:16:55 +0000 (Mi, 02 Jul 2008) | 1 line
  
  upgpkg: meld 1.2-1
........

Added:
  meld/repos/extra-i686/meld_buildfix.diff
    (from rev 4041, meld/trunk/meld_buildfix.diff)
Modified:
  meld/repos/extra-i686/	(properties)
  meld/repos/extra-i686/PKGBUILD

--------------------+
 PKGBUILD           |   15 +++++++++------
 meld_buildfix.diff |   14 ++++++++++++++
 2 files changed, 23 insertions(+), 6 deletions(-)


Property changes on: meld/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /meld/trunk:1
   + /meld/trunk:1-4048

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-02 20:21:57 UTC (rev 4048)
+++ extra-i686/PKGBUILD	2008-07-02 20:23:12 UTC (rev 4049)
@@ -1,21 +1,24 @@
 # $Id$
 # Maintainer: 
 pkgname=meld
-pkgver=1.1.5.1
-pkgrel=2
+pkgver=1.2
+pkgrel=1
 pkgdesc="Visual diff and merge tool for GNOME"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://meld.sourceforge.net/"
-depends=('gnome-python-desktop>=2.20.0-3')
+depends=('gnome-python-desktop>=2.20.0-3 gtksourceview')
 makedepends=('perlxml' 'pkgconfig' 'gnome-doc-utils>=0.11.2' 'intltool')
 install=meld.install
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/1.1/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('d7366b958f9897f22eb867726b217b5a')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/1.2/${pkgname}-${pkgver}.tar.gz
+	meld_buildfix.diff)
+md5sums=('50ea5a7cdf2451448a78e53b172d7f6f'
+         '074042dcafc9869a4dad69e0d1d92b0e')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
+  patch -Np1 -i ../meld_buildfix.diff || return 1
   make prefix=/usr || return 1
-  make prefix=/usr DESTDIR=${startdir}/pkg install
+  make prefix=/usr DESTDIR=${pkgdir} install || return 1
   rm -rf ${startdir}/pkg/usr/gnome/share/doc
 }

Copied: meld/repos/extra-i686/meld_buildfix.diff (from rev 4041, meld/trunk/meld_buildfix.diff)
===================================================================
--- extra-i686/meld_buildfix.diff	                        (rev 0)
+++ extra-i686/meld_buildfix.diff	2008-07-02 20:23:12 UTC (rev 4049)
@@ -0,0 +1,14 @@
+diff -p -up meld-1.2/help/fr/GNUmakefile~ meld-1.2/help/fr/GNUmakefile
+--- meld-1.2/help/fr/GNUmakefile~	2008-03-31 22:44:53.000000000 +0200
++++ meld-1.2/help/fr/GNUmakefile	2008-06-27 10:37:54.000000000 +0200
+@@ -15,9 +15,8 @@ all $(OMF_NAME).install : $(OMF_NAME)
+ 
+ .PHONY : install
+ install : $(OMF_NAME).install
+-	-mkdir -m 755 -p $(OMF_DIR_) $(XML_DIR_) $(XML_DIR_)/figures
++	-mkdir -m 755 -p $(OMF_DIR_) $(XML_DIR_)
+ 	install -m 644 meld.$(LANG).xml $(XML_DIR_)/meld.xml
+-	install -m 644 figures/*.png $(XML_DIR_)/figures
+ 	-install -m 644 $< $(OMF_DIR_)/$(OMF_NAME)
+ 	-scrollkeeper-update -p $(OMF_STATE) -o $(OMF_DIR_)
+ 





More information about the arch-commits mailing list